From d2a941f53ff7722b450c5e0a578b08b575462228 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bastien=20ROUCARI=C3=88S?= <roucaries.bastien@gmail.com>
Date: Sat, 12 Jul 2014 19:35:19 +0200
Subject: [PATCH 2/2] Fail if dns-320 is too big
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Dns 320 image are less than 5M due to flash constraint

Signed-off-by: Bastien ROUCARIÈS <roucaries.bastien@gmail.com>
---
 build/config/armel/kirkwood/network-console.cfg | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/build/config/armel/kirkwood/network-console.cfg b/build/config/armel/kirkwood/network-console.cfg
index 6bf1ef5..2d34652 100644
--- a/build/config/armel/kirkwood/network-console.cfg
+++ b/build/config/armel/kirkwood/network-console.cfg
@@ -11,8 +11,12 @@ dns-320:
 	cat $(TEMP_KERNEL) $(TEMP_DTBS)/kirkwood-dns320.dtb > $(TEMP)/dns-320/vmlinuz-dns320
 	mkimage -A arm -O linux -T kernel -C none -e 0x00008000 -a 0x00008000 -n "Debian kernel" -d $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/kernel.uboot
 	cp $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/kernel.uboot $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uImage
+	# no more than 5M
+	test $$(stat -s %s $(TEMP)/dns-320/kernel.uboot) -le 5242880
 	mkimage -A arm -O linux -T ramdisk -C gzip -e 0x00e00000 -a 0x00e00000 -n "debian-installer ramdisk" -d $(TEMP_INITRD) $(TEMP)/dns-320/initrd.uboot
 	cp $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/initrd.uboot $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uInitrd
+	# no more than 5M
+	test $$(stat -s %s $(TEMP)/dns-320/initrd.uboot) -le 5242880
 	mkdns323fw -k $(TEMP)/dns-320/kernel.uboot -i $(TEMP)/dns-320/initrd.uboot -t DNS-320 -o $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/flash-debian
 	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/flash-debian "installer image (dlink firmware) for D-Link DNS-320"
 	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uImage "kernel for D-Link DNS-320"
-- 
2.0.0

